org.eclipse.rdf4j.query.impl

## Class TupleQueryResultImpl

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.impl.IteratingTupleQueryResult
      - - org.eclipse.rdf4j.query.impl.TupleQueryResultImpl

- All Implemented Interfaces:
    AutoCloseable, Iterable<BindingSet>, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>, QueryResult<BindingSet>, TupleQueryResult

  Deprecated.
  since 2.0. Use `IteratingTupleQueryResult` instead.

      @Deprecated
      public class TupleQueryResultImpl
      extends IteratingTupleQueryResult

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleQueryResultImpl(List<String> bindingNames, CloseableIteration<? extends BindingSet,QueryEvaluationException> bindingSetIter)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.IteratingTupleQueryResult

      `getBindingNames`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResult

      `iterator`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.CloseableIteration

      `close`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `hasNext, next, remove, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TupleQueryResultImpl

          public TupleQueryResultImpl(List<String> bindingNames,
                                      CloseableIteration<? extends BindingSet,QueryEvaluationException> bindingSetIter)

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.